<EntityClassDefinition.Lootable_Crate_Ammo_Infinite __id="cb836671-ab1e-4ca1-b32a-c5488170b56c" __path="libs/foundry/records/entities/scitem/lootables/lootable_crate_ammo_infinite.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="0" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="UNDEFINED">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SCentiCargoUnit" centiSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints />
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_place" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Place" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_pickup_ammo" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Refill Ammo" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_pickup" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Pick up" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@PIT_Weapon_Gadget_Medipen" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Medpen" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_pickup_grenade" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Refill Grenades" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/buildingsets/human/universal/prop/storage/ammo-box/ammo-box_1_ballistic_open_1x05x025_a.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityLootableContainerParams __type="DataForgeComponentParams" __polymorphicType="SEntityLootableContainerParams" bespokePlace="0" blockingTagsOnSwapOutfit="" exactPlaceIntoPort="None" forceFirstSelect="0" fragmentTags="" infiniteLootable="1" initialLocalPlayerAccess="1" mainInteractionPoint="None" openInventoryInteraction="None" radius="1.600000023841858" smartRefillAmmo="0" smartRefillGrenadesAndAmmo="0" validTagsOnSwapOutfit="">
      <itemPortRules />
      <mainInteractions />
      <maxOffsetRotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
      <maxOffsetTranslation __type="Vec3" x="0.0" y="0.0" z="0.0" />
      <outfitHangerGroups />
      <placeIntoPortInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_place" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Place" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </placeIntoPortInteraction>
      <placeOutfitRules />
      <takeExclussionRules />
    </SEntityLootableContainerParams>
    <SEntityComponentDefaultLoadoutParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentDefaultLoadoutParams">
      <loadout __type="SItemPortLoadoutBaseParams" __polymorphicType="SItemPortLoadoutManualParams">
        <entries>
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_shotgun_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size1_01" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_shotgun_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size1_02" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_shotgun_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size1_03" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_shotgun_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size1_04" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_rifle_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size2_01" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_rifle_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size2_02" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_rifle_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size2_03" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_rifle_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size2_04" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_rifle_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size2_05" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_rifle_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size2_06" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_rifle_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size2_07" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_rifle_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size2_08" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_smg_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size3_01" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_smg_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size3_02" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_smg_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size3_03" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_smg_ballistic_01_mag" inventoryContainer="None" itemPortName="magazine_size3_04" loadout="None" />
        </entries>
        <InventoryItems />
      </loadout>
    </SEntityComponentDefaultLoadoutParams>
    <SEntityAudioControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityAudioControllerParams" audioControllerEntityType="None" fullLODDistance="9000.0" fullToLowLODDistance="9050.0" occlusionAttenuationScaler="0.5" offLODDistance="10050.0" offToLowLODDistance="10000.0" randomSeedCount="0">
      <tags __type="TagList">
        <tags />
      </tags>
    </SEntityAudioControllerParams>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size1_01" PortTags="magazine_size1_01" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_1_01" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size1_02" PortTags="magazine_size1_02" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_1_02" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size1_03" PortTags="magazine_size1_03" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_1_03" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size1_04" PortTags="magazine_size1_04" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_1_04" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size2_01" PortTags="magazine_size2_01" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_2_01" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_02" PortTags="magazine_size2_02" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_2_02" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_03" PortTags="magazine_size2_03" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_2_03" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts ="weakPointer:4294967295" />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_04" PortTags="magazine_size2_04" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_2_04" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_05" PortTags="magazine_size2_05" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_2_05" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_06" PortTags="magazine_size2_06" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_2_06" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_07" PortTags="magazine_size2_07" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_2_07" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_08" PortTags="magazine_size2_08" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_2_08" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size3_01" PortTags="magazine_size3_01" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_3_01" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size3_02" PortTags="magazine_size3_02" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_3_02" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size3_03" PortTags="magazine_size3_03" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_3_03" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size3_04" PortTags="magazine_size3_04" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_ammo_size_3_04" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <SActorUsableParams __type="DataForgeComponentParams" __polymorphicType="SActorUsableParams" archetype="2bb0d878-18f5-4c71-b6cb-4490fea604e9" fragmentTag="resource_container" isExterior="0">
      <abilityLocks />
      <alignmentSlots>
        <PointAlignmentSlot __type="UsableAlignmentSlot" __polymorphicType="PointAlignmentSlot" available="1" canPlayerUse="0" fragmentTag="front" helperName="$anchor_front_01" linkMode="FeetLink" name="" slottedFragmentTag="" stance="Crouch" useADIK="0" useHandIK="0">
          <enterParams __type="SUsableTransitionParams" __polymorphicType="SUsableEnterTransitionParams" additionalTags="" aiSignal="UseStart" enterInteraction="None" eventTriggerMask="AIAndPlayer" holsterWeapon="0">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </enterParams>
          <exitParams __type="SUsableTransitionParams" __polymorphicType="SUsableExitTransitionParams" additionalTags="" aiSignal="UseEnd" eventTriggerMask="AIAndPlayer" exitInteraction="None" exitOnDamageTaken="0" exitOnJump="0" exitOnMovement="0" exitSequence="None" inputExit="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </exitParams>
          <interactionPoints />
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableIdleParams __type="SUsableIdleParams">
            <idlePoseOverrides />
          </usableIdleParams>
          <viewParams __type="SUsableViewParams" viewLimitPitchMax="45.0" viewLimitPitchMin="-45.0" viewLimitYawMax="45.0" viewLimitYawMin="-45.0" />
        </PointAlignmentSlot>
        <PointAlignmentSlot __type="UsableAlignmentSlot" __polymorphicType="PointAlignmentSlot" available="1" canPlayerUse="0" fragmentTag="back" helperName="$anchor_back_01" linkMode="FeetLink" name="" slottedFragmentTag="" stance="Crouch" useADIK="0" useHandIK="0">
          <enterParams __type="SUsableTransitionParams" __polymorphicType="SUsableEnterTransitionParams" additionalTags="" aiSignal="UseStart" enterInteraction="None" eventTriggerMask="AIAndPlayer" holsterWeapon="0">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </enterParams>
          <exitParams __type="SUsableTransitionParams" __polymorphicType="SUsableExitTransitionParams" additionalTags="" aiSignal="UseEnd" eventTriggerMask="AIAndPlayer" exitInteraction="None" exitOnDamageTaken="0" exitOnJump="0" exitOnMovement="0" exitSequence="None" inputExit="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </exitParams>
          <interactionPoints />
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableIdleParams __type="SUsableIdleParams">
            <idlePoseOverrides />
          </usableIdleParams>
          <viewParams __type="SUsableViewParams" viewLimitPitchMax="45.0" viewLimitPitchMin="-45.0" viewLimitYawMax="45.0" viewLimitYawMin="-45.0" />
        </PointAlignmentSlot>
        <PointAlignmentSlot __type="UsableAlignmentSlot" __polymorphicType="PointAlignmentSlot" available="1" canPlayerUse="0" fragmentTag="left" helperName="$anchor_left_01" linkMode="FeetLink" name="" slottedFragmentTag="" stance="Crouch" useADIK="0" useHandIK="0">
          <enterParams __type="SUsableTransitionParams" __polymorphicType="SUsableEnterTransitionParams" additionalTags="" aiSignal="UseStart" enterInteraction="None" eventTriggerMask="AIAndPlayer" holsterWeapon="0">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </enterParams>
          <exitParams __type="SUsableTransitionParams" __polymorphicType="SUsableExitTransitionParams" additionalTags="" aiSignal="UseEnd" eventTriggerMask="AIAndPlayer" exitInteraction="None" exitOnDamageTaken="0" exitOnJump="0" exitOnMovement="0" exitSequence="None" inputExit="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </exitParams>
          <interactionPoints />
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableIdleParams __type="SUsableIdleParams">
            <idlePoseOverrides />
          </usableIdleParams>
          <viewParams __type="SUsableViewParams" viewLimitPitchMax="45.0" viewLimitPitchMin="-45.0" viewLimitYawMax="45.0" viewLimitYawMin="-45.0" />
        </PointAlignmentSlot>
        <PointAlignmentSlot __type="UsableAlignmentSlot" __polymorphicType="PointAlignmentSlot" available="1" canPlayerUse="0" fragmentTag="right" helperName="$anchor_right_01" linkMode="FeetLink" name="" slottedFragmentTag="" stance="Crouch" useADIK="0" useHandIK="0">
          <enterParams __type="SUsableTransitionParams" __polymorphicType="SUsableEnterTransitionParams" additionalTags="" aiSignal="UseStart" enterInteraction="None" eventTriggerMask="AIAndPlayer" holsterWeapon="0">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </enterParams>
          <exitParams __type="SUsableTransitionParams" __polymorphicType="SUsableExitTransitionParams" additionalTags="" aiSignal="UseEnd" eventTriggerMask="AIAndPlayer" exitInteraction="None" exitOnDamageTaken="0" exitOnJump="0" exitOnMovement="0" exitSequence="None" inputExit="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </exitParams>
          <interactionPoints />
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableIdleParams __type="SUsableIdleParams">
            <idlePoseOverrides />
          </usableIdleParams>
          <viewParams __type="SUsableViewParams" viewLimitPitchMax="45.0" viewLimitPitchMin="-45.0" viewLimitYawMax="45.0" viewLimitYawMin="-45.0" />
        </PointAlignmentSlot>
      </alignmentSlots>
      <slottingSetups />
      <specializedData __type="SSpecializedData">
        <specializedDataEntry />
      </specializedData>
      <usableSequencerTasks />
      <useSlots>
        <UsableUseSlot __type="UsableUseSlot" additionalFragmentTags="" available="1" isScoochable="0" name="Loot" stance="Unset">
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableItemPorts>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size1_01" PortTags="magazine_size1_01" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size1_02" PortTags="magazine_size1_02" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size1_03" PortTags="magazine_size1_03" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size1_04" PortTags="magazine_size1_04" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="5" MinSize="0" Name="magazine_size2_01" PortTags="magazine_size2_01" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_02" PortTags="magazine_size2_02" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_03" PortTags="magazine_size2_03" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts ="weakPointer:4294967295" />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_04" PortTags="magazine_size2_04" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_05" PortTags="magazine_size2_05" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_06" PortTags="magazine_size2_06" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_07" PortTags="magazine_size2_07" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size2_08" PortTags="magazine_size2_08" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size3_01" PortTags="magazine_size3_01" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size3_02" PortTags="magazine_size3_02" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size3_03" PortTags="magazine_size3_03" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
            <UsableItemPort __type="UsableItemPort" itemPortFragmentTag="port_01" recurseThroughInventoryWhenFindingItemProvider="0">
              <conditionTags __type="TagsDNF">
                <terms />
              </conditionTags>
              <itemPort __type="SItemPortDef" AttachmentImplementation="classReference_structure:SItemPortDefAttachmentImplementationBone" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="nophys" InteractionPointOffset="structInstance_Vec3_props:3" InteractionPointSize="-1.0" MaxSize="1" MinSize="0" Name="magazine_size3_04" PortTags="magazine_size3_04" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
                <AttachmentPoints />
                <Connections />
                <DisabledPortLinks />
                <linkedItemPorts />
                <Tags />
                <Types />
              </itemPort>
            </UsableItemPort>
          </usableItemPorts>
          <useChannelInstances>
            <UsableUseChannelInstance __type="UsableUseChannelInstance" conditionList="None" fragmentTag="take" interaction="None" isEnabled="1" preparationSequence="None" stance="Unset" useChannelArchetype="7fa124fd-51bc-4d8a-93da-abe1600ca2e5">
              <alignmentSlots PointAlignmentSlot="weakPointer:PointAlignmentSlot" />
              <tagsToAddOnEnter />
              <tagsToAddOnExit />
              <tagsToRemoveOnEnter />
              <tagsToRemoveOnExit />
              <useChannelInstancesToDisable />
              <useChannelInstancesToEnable />
            </UsableUseChannelInstance>
          </useChannelInstances>
        </UsableUseSlot>
      </useSlots>
      <views />
    </SActorUsableParams>
    <SSpawnerParams __type="DataForgeComponentParams" __polymorphicType="SSpawnerParams" faction="00000000-0000-0000-0000-000000000000" groupIndex="0" onRequestSpawn="0" prerequisite="None" spawnInMovement="0" spawnOnGameStart="1" spawnWithinPlayerRange="1" startActive="1">
      <despawnRules __type="SDespawnRules" despawnDelaySeconds="0.0">
        <rules />
      </despawnRules>
      <entitiesToSpawn />
      <portRefillData __type="BasePortRefillData" __polymorphicType="AllPortRefillData" Delay="0.0" />
      <spawnRules __type="SSpawnRules" __polymorphicType="SSpawnOnTimer" dontOverlap="1" maxEntities="0" maxLifetimeEntities="0" startTimerOnDone="0" timeBetweenSpawns="1.0" />
      <wildcardPorts />
    </SSpawnerParams>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.Lootable_Crate_Ammo_Infinite>